Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xmlsec: new aport

From: Sander Maijers <s.n.maijers_at_gmail.com>
Date: Thu, 3 Sep 2015 16:03:44 +0200

https://www.aleksey.com/xmlsec
 Provides a C based implementation for XML Signature Syntax and
Processing and XML Encryption Syntax and Processing.
---
 testing/xmlsec/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/xmlsec/APKBUILD
diff --git a/testing/xmlsec/APKBUILD b/testing/xmlsec/APKBUILD
new file mode 100644
index 0000000..adfe180
--- /dev/null
+++ b/testing/xmlsec/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Sander Maijers <S.N.Maijers+Alpine_at_gmail.com>
+# Maintainer: Sander Maijers <S.N.Maijers+Alpine_at_gmail.com>
+pkgname='xmlsec'
+pkgver='1.2.20'
+pkgrel='0'
+pkgdesc="Provides a C based implementation for XML Signature Syntax
and Processing and XML Encryption Syntax and Processing."
+url="https://www.aleksey.com/${pkgname}"
+arch="all"
+license="MIT"
+depends="libxml2 libxslt openssl libltdl"
+depends_dev=
+makedepends="${depends_dev} libxml2-dev libxslt-dev openssl-dev libltdl"
+install=
+subpackages="${pkgname}-dev ${pkgname}-doc"
+source="${url}/download/${pkgname}1-${pkgver}.tar.gz"
+_builddir="${srcdir}/${pkgname}1-${pkgver}"
+
+prepare() {
+    :
+}
+
+build() {
+    cd "${_builddir}" &&
+    './configure' \
+     --build="$CBUILD" \
+ --disable-static \
+ --enable-pkgconfig \
+ --host="$CHOST" \
+ --prefix='/usr' \
+ --with-default-crypto='openssl' &&
+    make || return 1
+}
+
+check() {
+    cd "${_builddir}" &&
+    make -k check || return 1
+}
+
+package() {
+    cd "${_builddir}" &&
+    make DESTDIR="${pkgdir}" install || return 1
+    [ -d "${pkgdir}" ] && find "${pkgdir}"'/usr' -type 'f' -name '*.la' -delete
+    install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
+    install -m644 'COPYING'
"${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}
+
+md5sums="ce12af00283eb90d9281956524250d6e  xmlsec1-1.2.20.tar.gz"
+sha256sums="3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305
 xmlsec1-1.2.20.tar.gz"
+sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5
 xmlsec1-1.2.20.tar.gz"
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 03 2015 - 16:03:44 GMT